permission to copy, distribute and modify it. ##
--------------------- ## ## M4sh Initialization. ## ##
--------------------- ##
# Be more Bourne compatible DUALCASE=1; export DUALCASE # for MKS
sh if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null
2>&1; then
emulate sh
NULLCMD=:
# Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
# is contrary to our usage. Disable this feature.
alias -g '${1+"$@"}'='"$@"'
setopt NO_GLOB_SUBST else
case `(set -o) 2>/dev/null` in
*posix*) set -o posix ;; esac
fi
# PATH needs CR # Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz' as_cr_LETTERS='ABCDE-
FGHIJKLMNOPQRSTUVWXYZ' as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789' as_cr_alnum=$as_cr_Letters$as_cr_digits
# The user is always right. if test "${PATH_SEPARATOR+set}" !=
set; then
echo "#! /bin/sh" >conf$$.sh
echo "exit 0" >>conf$$.sh
chmod +x conf$$.sh
if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
PATH_SEPARATOR=';'
else
PATH_SEPARATOR=:
fi
rm -f conf$$.sh fi
# Support unset when possible. if ( (MAIL=60; unset MAIL) || ex-
it) >/dev/null 2>&1; then
as_unset=unset else
as_unset=false fi
# IFS # We need space, tab and new line, in precisely that order.
Quoting is # there to prevent editors from complaining about
space-tab. # (If _AS_PATH_WALK were called with IFS unset, it
would disable word # splitting by setting IFS to empty value.)
as_nl=' IFS=" "" $as_nl"
# Find who we are. Look in the path if we contain no directory
separator. case $0 in
# Work around bugs in pre-3.0 UWIN ksh. for as_var in ENV MAIL
MAILPATH do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset
$as_var done PS1='$ ' PS2='> ' PS4='+ '
# NLS nuisances. for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL
LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MES-
SAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE
LC_TIME do
if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`");
then
eval $as_var=C; export $as_var
else
($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
fi done
# Required to use basename. if expr a : '' >/dev/null 2>&1 &&
test "X`expr 00001 : '.*.'`" = X001; then
as_expr=expr else
as_expr=false fi
if (basename -- /) >/dev/null 2>&1 && test "X`basename -- /
2>&1`" = "X/"; then
as_basename=basename else
as_basename=false fi
# Name of the executable. as_me=`$as_basename -- "$0" || $as_ex-
pr X/"$0" : '.*//][^/]*/*$' X"$0" : 'X$' X"$0" : 'X' .
2>/dev/null || echo X/"$0" |
sed '/^.*/][^/]**$/{ s//1/ q
} /^X$/{ s//1/ q }
/^X.*/{ s//1/ q }
s/.*/./; q'`
# CDPATH. $as_unset CDPATH
if test "x$CONFIG_SHELL" = x; then
if (eval ":") 2>/dev/null; then
as_have_required=yes else
as_have_required=no fi
if test $as_have_required = yes && (eval ": (as_func_return
() {
(exit ) } as_func_success () {
as_func_return 0 } as_func_failure () {
as_func_return 1 } as_func_ret_success () {
return 0 } as_func_ret_failure () {
return 1 }
exitcode=0 if as_func_success; then
exitcode=1
echo as_func_ret_failure succeeded. fi
if ( set x; as_func_ret_success y && test x =
: else
exitcode=1
echo positional parameters were not saved. fi
test xitcode = 0) || { (exit 1); exit 1; }
(
as_lineno_1=INENO
as_lineno_2=INENO
test
test ") 2> /dev/null; then
: else
as_candidate_shells=
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in
/bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
case $as_dir in /*) for as_base in sh bash
ksh sh5; do as_candidate_shells="$as_candi-
date_shells $as_dir/$as_base" done;;
esac done IFS=$as_save_IFS
for as_shell in $as_candidate_shells $SHELL; do #
Try only shells that exist, to save several forks. if {
test -f "$as_shell" || test -f "$as_shell.exe"; } &&
{ ("$as_shell") 2> /dev/null <<_ASEOF if test -n
"${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
# Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
# is contrary to our usage. Disable this feature.
alias -g '${1+"$@"}'='"$@"'
setopt NO_GLOB_SUBST else
case `(set -o) 2>/dev/null` in
*posix*) set -o posix ;; esac
fi
: _ASEOF }; then
CONFIG_SHELL=$as_shell as_have_required=yes
if { "$as_shell" 2> /dev/null <<_ASEOF if test -n
"${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
# Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
# is contrary to our usage. Disable this feature.
exitcode=0 if as_func_success; then
: else
exitcode=1
echo as_func_success failed. fi
if as_func_failure; then
exitcode=1
echo as_func_failure succeeded. fi
if as_func_ret_success; then
: else
exitcode=1
echo as_func_ret_success failed. fi
if as_func_ret_failure; then
exitcode=1
echo as_func_ret_failure succeeded. fi
if ( set x; as_func_ret_success y && test x = "$1" ); then
: else
exitcode=1
echo positional parameters were not saved. fi
test $exitcode = 0) || { (exit 1); exit 1; }
(
as_lineno_1=$LINENO
as_lineno_2=$LINENO
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2") || { (exit
1); exit 1; }
_ASEOF }; then
break fi
fi
done
if test "x$CONFIG_SHELL" != x; then
for as_var in BASH_ENV ENV
do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset
$as_var
done
export CONFIG_SHELL
exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"} fi
if test $as_have_required = no; then
echo This script requires a shell more modern than all the
echo shells that I found on your system. Please install a
as_func_return 1 } as_func_ret_success () {
return 0 } as_func_ret_failure () {
return 1 }
exitcode=0 if as_func_success; then
: else
exitcode=1
echo as_func_success failed. fi
if as_func_failure; then
exitcode=1
echo as_func_failure succeeded. fi
if as_func_ret_success; then
: else
exitcode=1
echo as_func_ret_success failed. fi
if as_func_ret_failure; then
exitcode=1
echo as_func_ret_failure succeeded. fi
if ( set x; as_func_ret_success y && test x =
: else
exitcode=1
echo positional parameters were not saved. fi
test xitcode = 0") || {
echo No shell found that supports shell functions.
echo Please tell autoconf@gnu.org about your system,
echo including any error possibly output before this
echo message }
as_lineno_1=$LINENO
as_lineno_2=$LINENO
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
# Create $as_me.lineno as a copy of $as_myself, but with
$LINENO
# uniformly replaced by the line number. The first 'sed' in-
serts a
# line-number line after each line using $LINENO; the second
'sed'
# does the real work. The second script uses 'N' to pair each
# line-number line with the line containing $LINENO, and ap-
pends
# trailing '-' during substitution so that $LINENO is not a
special
# case at line end.
s/[$]LINENO'$as_cr_alnum'_].*/212/
t loop
s/-0*//
' >$as_me.lineno &&
chmod +x "$as_me.lineno" ||
{ echo "$as_me: error: cannot create $as_me.lineno; rerun
with a POSIX shell" >&2
{ (exit 1); exit 1; }; }
# Don't try to exec as it changes $[0], causing all sort of
problems
# (the dirname of $[0] is not the place where we might find the
# original and so on. Autoconf is especially sensitive to
this).
. "./$as_me.lineno"
# Exit status is that of the last command.
exit }
if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null
2>&1; then
as_dirname=dirname else
as_dirname=false fi
ECHO_C= ECHO_N= ECHO_T= case `echo -n x` in -n*)
case `echo 'x *c*) ECHO_T=' ';; # ECHO_T is single tab
character.
*) ECHO_C=' esac;; *)
ECHO_N='-n';; esac
if expr a : '' >/dev/null 2>&1 &&
test "X`expr 00001 : '.*.'`" = X001; then
as_expr=expr else
as_expr=false fi
rm -f conf$$ conf$$.exe conf$$.file if test -d conf$$.dir; then
rm -f conf$$.dir/conf$$.file else
rm -f conf$$.dir
mkdir conf$$.dir fi echo >conf$$.file if ln -s conf$$.file
conf$$ 2>/dev/null; then
as_ln_s='ln -s'
# ... but there are two gotchas:
# 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
# 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper
executable.
# In both cases, we have to default to `cp -p'.
ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f
conf$$.exe ||
as_ln_s='cp -p' elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln else
as_ln_s='cp -p' fi rm -f conf$$ conf$$.exe
conf$$.dir/conf$$.file conf$$.file rmdir conf$$.dir 2>/dev/null
eval sh -c '''
if test -d "$1"; then
test -d "$1/.";
else case $1 in
-*)set "./$1";; esac; case `ls
-ld'$as_ls_L_option' "$1" 2>/dev/null` in
???[sx]*):;;*)false;;esac;fi
''' sh
' fi as_executable_p=$as_test_x
# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LET-
TERS%;s%[^_$as_cr_alnum]%_%g'"
# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
exec 7<&0 </dev/null 6>&1
# Name of the host. # hostname on some systems (SVR3.2, Linux)
returns a bogus exit status, # so uname gets run too. ac_host-
name=`(hostname || uname -n) 2>/dev/null | sed 1q`
# # Initializations. # ac_default_prefix=/usr/local
ac_clean_files= ac_config_libobj_dir=. LIB@&t@OBJS= cross_com-
piling=no subdirs= MFLAGS= MAKEFLAGS= SHELL=${CON-
FIG_SHELL-/bin/sh}
# Identity of this package. PACKAGE_NAME= PACKAGE_TARNAME= PACK-
AGE_VERSION= PACKAGE_STRING= PACKAGE_BUGREPORT=
ac_unique_file="MCONFIG.in" ac_default_prefix=/usr # Factoring
default headers for most tests. ac_includes_default="#include
$tmp/out
test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
{ ac_out=`sed -n '/datarootdir}/p' "$tmp/out"`; test -n
"$ac_out"; } &&
{ ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`;
test -z "$ac_out"; } &&
{ echo "$as_me:$LINENO: WARNING: $ac_file contains a reference
to the variable `datarootdir' which seems to be undefined.
Please make sure it is defined." >&5 echo "$as_me: WARNING:
$ac_file contains a reference to the variable `datarootdir' which
seems to be undefined. Please make sure it is defined." >&2;}
rm -f "$tmp/stdin"
case $ac_file in
-) cat "$tmp/out"; rm -f "$tmp/out";;
*) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
esac
;;
:H)
#
# CONFIG_HEADER
# _ACEOF
# Transform confdefs.h into a sed script `conftest.defines', that
# substitutes the proper values into config.h.in to produce con-
fig.h. rm -f conftest.defines conftest.tail # First, append a
space to every undef/define line, to ease matching. echo 's/$/
/' >conftest.defines # Then, protect against being on the right
side of a sed subst, or in # an unquoted here document, in con-
fig.status. If some macros were # called several times there
might be several #defines for the same # symbol, which is use-
less. But do not sort them, since the last # AC_DEFINE must be
honored. ac_word_re=[_$as_cr_Letters][_$as_cr_alnum]* # These
' >>conftest.defines
# Remove the space that was appended to ease matching. # Then
replace #undef with comments. This is necessary, for # example,
in the case of _POSIX_SOURCE, which is predefined and required #
on some systems where configure will not decide to define it. #
(The regexp can be short, since the line contains either #define
or #undef.) echo 's/ $// s,^[ #]*u.*,/* & */,' >>con-
ftest.defines
# Break up conftest.defines: ac_max_sed_lines=50
# First sed command is: sed -f defines.sed $ac_file_inputs
>"$tmp/out1" # Second one is: sed -f defines.sed
"$tmp/out1" >"$tmp/out2" # Third one will be: sed -f de-
fines.sed "$tmp/out2" >"$tmp/out1" # et cetera.
ac_in='$ac_file_inputs' ac_out='"$tmp/out1"' ac_nxt='"$tmp/out2"'
while : do
# Write a here document:
cat >>$CONFIG_STATUS <<_ACEOF
# First, check the format of the line:
cat >"mp/defines.sed" <<\CEOF /^[ ]*#[ ]*un-
def[ ][ ]*$ac_word_re[ ]*b def /^[ ]*#[ ]*de-
fine[ ][ ]*$ac_word_re[( ]/b def b :def _ACEOF
sed ${ac_max_sed_lines}q conftest.defines >>$CONFIG_STATUS
echo 'CEOF
sed -f "$tmp/defines.sed"' "$ac_in >$ac_out" >>$CONFIG_STATUS
ac_in=$ac_out; ac_out=$ac_nxt; ac_nxt=$ac_in
sed 1,${ac_max_sed_lines}d conftest.defines >conftest.tail
grep . conftest.tail >/dev/null || break
rm -f conftest.defines
mv conftest.tail conftest.defines done rm -f conftest.defines
conftest.tail
echo "ac_result=$ac_in" >>$CONFIG_STATUS cat >>$CONFIG_STATUS
<<_ACEOF
if test x"$ac_file" != x-; then
echo "/* $configure_input */" >"$tmp/config.h"
cat "$ac_result" >>"$tmp/config.h"
if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
{ echo "$as_me:$LINENO: $ac_file is unchanged" >&5 echo
"$as_me: $ac_file is unchanged" >&6;}
else
rm -f $ac_file
mv "$tmp/config.h" $ac_file
fi
else
echo "/* $configure_input */"
cat "$ac_result"
fi
rm -f "$tmp/out12"
fig.log. # Unfortunately, on DOS this fails, as config.log is
still kept open # by configure, so config.status won't be able to
write to it; its # output is simply discarded. So we exec the FD
to /dev/null, # effectively closing config.log, so it can be
properly (re)opened and # appended to by config.status. When
coming back to configure, we # need to make the FD available
again. if test "$no_create" != yes; then
ac_cs_success=:
ac_config_status_args=
test "$silent" = yes &&
ac_config_status_args="$ac_config_status_args --quiet"
exec 5>/dev/null
$SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_suc-
cess=false
exec 5>>config.log
# Use ||, not &&, to avoid exiting from the if with $? = 1,
which
# would make configure fail if this is the last instruction.
$ac_cs_success || { (exit 1); exit 1; } fi
Man(1) output converted with
man2html